# $Revision: 1.47 $, $Date: 2001/11/17 17:32:16 $
Summary:	Protocol for Keeping Track of Dynamically Allocated IP
Summary(pl):	Protokou ledzenia dynamicznie przydzielanych adresw IP
Name:		whoson
Version:	2.02a
Release:	2
Group:		Networking
Group(de):	Netzwerkwesen
Group(es):	Red
Group(pl):	Sieciowe
Group(pt_BR):	Rede
License:	Public domain
Source0:	http://prdownloads.sourceforge.net/whoson/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.conf
Prereq:		rc-scripts
BuildRequires:	autoconf
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}
%define		_sysconfigdir	/etc

%description
Simple method for Internet server programs to know if a particular
(dynamically allocated) IP address is currently allocated to a known
(trusted) user and, optionally, the identity of the said user.

%description -l pl
Program oraz biblioteka bdce implementacj protokou WHOSON
pozwalajcego innym programom na ledzenie dynamicznie przydzielanych
IP uywanych przez znanych (zaufanych) uytkonikw.

%package server
Summary:	Whoson server binary and scripts
Summary(pl):	Plik binarny i skrypty serwera whoson
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Requires:	whoson

%description server
Whoson server binary and scripts.

%description -l pl server
Plik binarny i skrypty serwera whoson.

%package devel
Summary:	Header files and development docomentation for whoson
Summary(pl):	Pliki nagwkowe i dokumentacja dla dla programistw do whoson-a
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}

%description devel
This is whoson development package. It includes files and development
docomentation for whoson.

%description -l pl devel
To jest pakiet dla programistw. Zawiera pliki nagwkowe i
dokumentacja do whoson-a.

%package static
Summary:	Static whoson library
Summary(pl):	Biblioteka statyczna whoson-a
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description static
Static whoson library.

%description -l pl static
Biblioteka statyczna whoson-a.

%prep
%setup  -q

%build
autoconf
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/lib/whosond}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/whosond
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/

for i in wso_login wso_logout wso_query wso_version; do
	rm -f $RPM_BUILD_ROOT%{_mandir}/man3/$i.3
	echo ".so whoson.3" > $RPM_BUILD_ROOT%{_mandir}/man3/$i.3
done

gzip -9nf README whoson.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post server
/sbin/chkconfig --add whosond
if [ -f /var/lock/subsys/whosond ]; then
	/etc/rc.d/init.d/whosond restart >&2
else
	echo "Run \"/etc/rc.d/init.d/whosond start\" to start whosond daemon."
fi

%preun server
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/whosond ]; then
		/etc/rc.d/init.d/whosond stop >&2
	fi
	/sbin/chkconfig --del whosond
fi

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_sbindir}/whoson
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%config %verify(not size mtime md5) %{_sysconfigdir}/whoson.conf
%{_mandir}/man[58]/*

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/whosond
%attr(754,root,root) /etc/rc.d/init.d/whosond
%dir /var/lib/whosond
%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: whoson.spec,v $
Revision 1.47  2001/11/17 17:32:16  kloczek
- release 2,
- corrected man pages level 3 (use roff .so links),
- cosmetics.

Revision 1.46  2001/10/05 23:48:01  rrw
- run ldconfig in base package, not in server

Revision 1.45  2001/09/28 22:27:41  areq
- 2.02a, STBR
- fix bug in chroot path length
- chroot to /var/lib/whosond

Revision 1.44  2001/09/28 12:38:50  areq
- update to 2.02, STBR
- remove config.pach
- add SOURCE2 - sample whoson.conf
- new options in whoson.conf chroot=/dir !

Revision 1.43  2001/09/25 14:40:07  qboosh
- release 5: Prereq: /sbin/chkconfig

Revision 1.42  2001/09/10 15:22:08  rrw
- added Requires: whoson to -server package (needs /etc/whoson.conf);
- release 4;

Revision 1.41  2001/09/10 15:05:03  mkochano
- Release 3.
- Added ,,server'' subpackage.
- ,,whosond'' and rc script moved to ,,server'' subpackage.
- s/%%description devel/%%description static/ where needed ;)

Revision 1.40  2001/08/01 00:21:08  rrw
- outdated and unused patch
- whoson.d and whoson.s are sockets, not directories
- release 2 (rel 1 wasn't really working for unix domain sockets)

Revision 1.39  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2001/07/24 17:43:05  areq
- 2.01
- fix source URL

Revision 1.36  2001/07/23 06:25:32  rrw
- restored autoheader/aclocal/autoconf/automake
- added libtoolize -c -f in front of the above
- changed %configure2_13 back to %configure
- no release change

Revision 1.35  2001/07/23 03:21:13  rrw
- removed autoheader/aclocal/autoconf/automake
- changed %configure to %configure2_13 (works now)
- added manual install of /etc/whoson.conf
- release 1 (first release of 2.00 that actually compiles and builds)

Revision 1.34  2001/07/19 01:00:27  kloczek
- added /var/run/whoson.{s,d} directories to %files.

Revision 1.33  2001/07/19 00:26:19  kloczek
- spec adapterized,
- added missing BuildRequires rules,
- small simplification in %files,
- rewrited init script to be template.init compliat.

Revision 1.32  2001/07/18 22:40:12  rrw
/etc/whoson.conf needs read permitions for `others' in order to let
anyone use whoson client library.

Revision 1.31  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.30  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.29  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.28  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/06/07 10:11:51  zagrodzki
- typo
- unified post/preun

Revision 1.26  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.25  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.24  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.23  1999/09/11 14:15:39  misiek
- fixed requires (PR#63)

Revision 1.22  1999/08/31 16:38:48  kloczek
- removed wtest program.

Revision 1.21  1999/08/31 16:29:53  kloczek
- added missing lib*.so.*.* to main.

Revision 1.20  1999/08/31 16:23:24  kloczek
- updated to 1.09,
- updated autoconf patch,
- added static subpackage.

Revision 1.19  1999/08/31 12:42:22  kloczek
- release 2,
- whoson rc script into separated Source,
- restart instead stop, start sequence in %post.

Revision 1.18  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.17  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.07-1]
- now package is FHS 2.0 compliant,
- gzipping %doc instaead bzippng2,
- standarized %post/%preun (restart service on upgrade, stop service on
  removing package).

* Tue Jan 19 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
  [1.06-1d]
- inital rpm release
